Update Deal
curl --request PUT \
--url https://{tenant_id}.api.useago.com/api/v1/crm/deals/{deal_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"title": "<string>",
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"currency": "<string>",
"expected_close_date": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_ids": [
"<string>"
],
"custom_fields": {},
"lost_reason": "<string>"
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/crm/deals/{deal_id}"
payload = {
"title": "<string>",
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"currency": "<string>",
"expected_close_date": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_ids": ["<string>"],
"custom_fields": {},
"lost_reason": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
stage_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: '<string>',
currency: '<string>',
expected_close_date: '<string>',
owner_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
organization_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contact_ids: ['<string>'],
custom_fields: {},
lost_reason: '<string>'
})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/crm/deals/{deal_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));CRM
Update Deal
Update only the fields you send. Changing stage_id records the stage change.
PUT
/
api
/
v1
/
crm
/
deals
/
{deal_id}
Update Deal
curl --request PUT \
--url https://{tenant_id}.api.useago.com/api/v1/crm/deals/{deal_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"title": "<string>",
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"currency": "<string>",
"expected_close_date": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_ids": [
"<string>"
],
"custom_fields": {},
"lost_reason": "<string>"
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/crm/deals/{deal_id}"
payload = {
"title": "<string>",
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": "<string>",
"currency": "<string>",
"expected_close_date": "<string>",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_ids": ["<string>"],
"custom_fields": {},
"lost_reason": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
stage_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: '<string>',
currency: '<string>',
expected_close_date: '<string>',
owner_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
organization_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contact_ids: ['<string>'],
custom_fields: {},
lost_reason: '<string>'
})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/crm/deals/{deal_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Authorizations
Path Parameters
Body
application/json
ISO 4217 code, e.g. EUR
YYYY-MM-DD
Replaces the deal's contacts
Response
200
OK
